# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_Transformation Class Reference

`#include <PGeom2d_Transformation.hxx>`

## Public Member Functions

Standard_EXPORT | PGeom2d_Transformation ()
| Creates a transformation with default values. .
Standard_EXPORT | PGeom2d_Transformation (const gp_Trsf2d &aTrsf)
| Creates a transformation with <atrsf>. .
Standard_EXPORT void | Trsf (const gp_Trsf2d &aTrsf)
| Creates a Transformation with <atrsf>. .
Standard_EXPORT gp_Trsf2d | Trsf () const
| Returns the value of the field trsf. .
| PGeom2d_Transformation (const Storage_stCONSTclCOM &a)
const gp_Trsf2d & | _CSFDB_GetPGeom2d_Transformationtrsf () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Trsf2d | trsf

## Constructor & Destructor Documentation

Standard_EXPORT PGeom2d_Transformation::PGeom2d_Transformation | ( |  | ) |

Standard_EXPORT PGeom2d_Transformation::PGeom2d_Transformation | ( | const gp_Trsf2d & | aTrsf | ) |

PGeom2d_Transformation::PGeom2d_Transformation | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Trsf2d& PGeom2d_Transformation::_CSFDB_GetPGeom2d_Transformationtrsf | ( |  | ) | const`[inline]`

Standard_EXPORT const PGeom2d_Transformation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT gp_Trsf2d PGeom2d_Transformation::Trsf | ( |  | ) | const

Standard_EXPORT void PGeom2d_Transformation::Trsf | ( | const gp_Trsf2d & | aTrsf | ) |

## Field Documentation

gp_Trsf2d PGeom2d_Transformation::trsf `[private]`

The documentation for this class was generated from the following file:

- PGeom2d_Transformation.hxx